libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [libcloud] dpeschman opened a new issue #1390: Can no longer get driver by provider name string
Date Wed, 18 Dec 2019 21:04:01 GMT
dpeschman opened a new issue #1390: Can no longer get driver by provider name string
URL: https://github.com/apache/libcloud/issues/1390
 
 
   ## Summary
   
   Can no longer get driver by provider name string as of 2.7.0.
   
   ## Detailed Information
   
   ```bash
   home@billy [~]--[$ python3 -m venv libcloud-venv
   home@billy [~]--[$ . libcloud-venv/bin/activate
   (libcloud-venv) home@billy [~]--[$ pip install apache-libcloud==2.7.0
   ...
   Successfully installed apache-libcloud-2.7.0 certifi-2019.11.28 chardet-3.0.4 enum34-1.1.6
idna-2.8 requests-2.22.0 typing-3.7.4.1 urllib3-1.25.7
   (libcloud-venv) home@billy [~]--[$ python
   Python 3.7.5 (default, Nov  1 2019, 02:16:32)
   [Clang 11.0.0 (clang-1100.0.33.8)] on darwin
   Type "help", "copyright", "credits" or "license" for more information.
   >>> from libcloud.compute.providers import get_driver
   >>> get_driver('openstack')
   Traceback (most recent call last):
     File "<stdin>", line 1, in <module>
     File "/Users/billy/libcloud-venv/lib/python3.7/site-packages/libcloud/compute/providers.py",
line 178, in get_driver
       deprecated_constants=deprecated_constants)
     File "/Users/billy/libcloud-venv/lib/python3.7/site-packages/libcloud/common/providers.py",
line 73, in get_driver
       raise AttributeError('Provider %s does not exist' % (provider))
   AttributeError: Provider openstack does not exist
   ```
   
   Works in 2.6.0:
   ```bash
   (libcloud-venv) home@billy [~]--[$ pip install -U 'apache-libcloud==2.6.0'
   ...
   Successfully installed apache-libcloud-2.6.0
   (libcloud-venv) home@billy [~]--[$ python
   Python 3.7.5 (default, Nov  1 2019, 02:16:32)
   [Clang 11.0.0 (clang-1100.0.33.8)] on darwin
   Type "help", "copyright", "credits" or "license" for more information.
   >>> from libcloud.compute.providers import get_driver
   >>> get_driver('openstack')
   <class 'libcloud.compute.drivers.openstack.OpenStackNodeDriver'>
   ```
   
   Not sure if this is a bug, or if we've just been using it wrong.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message